<template>
	<div v-if="isLoggedIn" class="user-navbar">
		<button class="button user-navbar__toggle" @click="toggleUserNavbar"></button>
		<div ref="userNavContent" class="user-navbar__content">

			<admin-nav v-if="isAdmin" @click.native="hideUserNavbar" />

			<ul @click="hideUserNavbar">
				<li>
					<h4 class="user-navbar__title">{{ userName }}</h4>
				</li>
				<li>
					<router-link to="/user/settings" class="user-navbar__content__link">Einstellungen</router-link>
				</li>
				<li>
					<button @click="logout" class="button user-navbar__content__link">Logout</button>
				</li>
			</ul>
		</div>
	</div>
</template>

<script>
import AdminNav from "@/components/AdminNav";
export default {
	name: "UserNav",
	components: {
		AdminNav
	},
	methods: {
		logout() {
			this.$store.dispatch("logout");
			if (this.$route.path !== "/home") {
				this.$router.push("/home");
			}
		},
		toggleUserNavbar() {
			this.$refs.userNavContent.classList.toggle("user-navbar__content--show");
			this.$parent.hideNavbar();
		},
		hideUserNavbar() {
			if (this.$refs.userNavContent) {
				this.$refs.userNavContent.classList.remove("user-navbar__content--show");
			}
		}
	},
	computed: {
		userName() {
			return this.$store.getters.getUserName;
		},
		isLoggedIn() {
			return this.$store.getters.isLoggedIn;
		},
		isAdmin() {
			return this.$store.getters.isAdmin;
		}
	}
}
</script>

<style scoped>

</style>